package ri.util;

import javax.swing.JScrollBar;
import javax.swing.JScrollPane;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

/**Document listener. 
 * Used by Emit and RtServerConsole to automatically scroll the display of a text area 
 * such that the last inserted text is in view.
 * */
public class EmitDocListener implements DocumentListener {
  private JScrollBar _scrollbar;

  /**Constr*/
  public EmitDocListener(JScrollPane spane) { _scrollbar = spane.getVerticalScrollBar(); }

  /**Notification of insert into document*/
  public void insertUpdate(DocumentEvent e) {
    if(_scrollbar != null) _scrollbar.setValue(_scrollbar.getMaximum());
  }
  
  /**Notification of attributes changed.*/
  public void changedUpdate(DocumentEvent e) {}

  /**Notification of removal from document.*/
  public void removeUpdate(DocumentEvent e) {}
}